
package com.example.switchyard.nettyjms;

import javax.jms.Message;
import javax.jms.MessageConsumer;
import javax.jms.Session;

import org.switchyard.test.mixins.HornetQMixIn;


public final class Client {
    
    private static final String USER = "guest";
    private static final String PASSWD = "guestp";
    
    /**
     * Only execution point for this application.
     * @param ignored not used.
     * @throws Exception if something goes wrong.
     */
    public static void main(final String[] args) throws Exception {
        
        HornetQMixIn hqMixIn = new HornetQMixIn(false)
                                    .setUser(USER)
                                    .setPassword(PASSWD);
        hqMixIn.initialize();

        try {
            Session session = hqMixIn.createJMSSession();
            System.out.println("* * *  READING FROM QUEUE  * * *");
            MessageConsumer consumer = session.createConsumer(HornetQMixIn.getJMSQueue("PixInboundQueue"));
            Message msg = null;
            while ((msg = consumer.receive(2000)) != null) {
                System.out.println(" - " + hqMixIn.readStringFromJMSMessage(msg));
            }
            
            Thread.sleep(500);
        } finally {
            hqMixIn.uninitialize();
        }
    }
}
